ranges::views::for_each_base_fn Struct Reference

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result. More...

`#include <range/v3/view/for_each.hpp>`

Inheritance diagram for ranges::views::for_each_base_fn:

## Public Member Functions

template<typename Rng , typename Fun >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&transformable_range< Rng, Fun > &&joinable_range< transform_view< all_t< Rng >, Fun >>) ccconstexpr auto operator()(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 Fun fun | const

## Detailed Description

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result.

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 Fun fun ranges::views::for_each_base_fn::const

Initial value:
{
return join(transform(static_cast<Rng &&>(rng), std::move(fun)))
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
meta::transform
_t< detail::transform_< Args... > > transform
Return a new meta::list constructed by transforming all the elements in L with the unary invocable Fn...
Definition: meta.hpp:1852
meta::join
apply< quote< concat >, ListOfLists > join
Joins a list of lists into a single list.
Definition: meta.hpp:1786